// Splinter Cell: Conviction 
// Deniable Ops Autosplitter v2.0 - 09/06/18
// by Johnny Hamcobbler
// Special thanks to Sir Kerchoo for testing

// Check the box for Uplay copy, otherwise leave unchecked for Steam.
// Ditto for Infiltration/Hunter modes.
// You need as many splits as there are zones in the map.

state("conviction_game", "STEAM")
{
	string2 map: 0xFC3560;
	int enemies : 0xFCAA34, 0x450;
}

state("conviction_game", "STEAM_INF")
{
	string2 map: 0xFC3560;
	int enemies : 0xFCBFCC, 0x434;
}

state("conviction_game", "UPLAY")
{
	string2 map: 0xFC3620;
	int enemies : 0xFCAAF4, 0x450;
}

state("conviction_game", "UPLAY_INF")
{
	string2 map: 0xFC3620;
	int enemies : 0xFCC08C, 0x434;
}

startup {
	settings.Add("uplay", false, "Uplay version");
	settings.Add("inf", false, "Infiltration mode");
}

init {
	if (settings["uplay"] == true)
	{
		if (settings["inf"] == true)
			{ version = "UPLAY_INF"; }
		else
			{ version = "UPLAY"; }
	}
	else
	{
		if (settings["inf"] == true)
			{ version = "STEAM_INF"; }
		else
			{ version = "STEAM"; }
	}
}

start {
	return (((current.map == "C0") || (current.map == "T0")) && (current.enemies > 9) && (current.enemies < 16));
}

split {
	return ((current.enemies == 0) && (current.enemies != old.enemies));
}

reset {
	return (current.map == "Me");
}